Add or update license

  • PUT /platform/license
Auth

Adds a new or updates an existing license.

Request body

The license to add or update.

license object required

Information about a license.

version integer · format: int32

Version of the license

uid string required

Unique identifier of the license

issuer string required

Issuer of the license

issued_to string required

Entity the license was issued to

issue_date_in_millis integer · format: int64 required

When the license was issued, in milliseconds since the Unix epoch

type string required

Type of the license

subscription_type string

Type of the license subscription

signature string required

Digital signature

start_date_in_millis integer · format: int64 required

Initial validity of the license, in milliseconds since the Unix epoch

expiry_date_in_millis integer · format: int64 required

When the license expires, in milliseconds since the Unix epoch

max_allocators integer · format: int32

Maximum number of allocators. Empty for version >= 3

max_ram_per_allocator_mb integer · format: int32

Maximum RAM per allocator in MB. Empty for version >= 3

max_instances integer · format: int32

Maximum number of instances. Only present for version 3

max_resource_units integer · format: int32

Maximum number of resource units, where each unit is 64GB. Only present for version > 3

operation_mode string

Operation mode

cluster_licenses object[]

List of cluster licenses

license object required

Object containing the cluster license data

usage_stats object

Information about the current usage.

total_connected_memory_total integer · format: int32 required

The total amount of memory available to your system

Responses

The license was updated.

application/json

Response Type: object

The license could not be updated. (code: license.invalid_license)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response